Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env.jexl
Class JexlContext

    java.lang.Object
      org.apache.commons.scxml.env.SimpleContext
          org.apache.commons.scxml.env.jexl.JexlContext

All Implemented Interfaces:
  Context, org.apache.commons.jexl.JexlContext, Serializable

public class JexlContext
extends SimpleContext
implements org.apache.commons.jexl.JexlContext

JEXL Context implementation for Commons SCXML.

See Also:
  Serialized Form

Constructor Summary
`JexlContext()` Constructor.
`JexlContext(Context parent)` Constructor with parent context.
`JexlContext(Map initialVars)` Constructor with initial vars.

Method Summary
`Map` | `getVars()` Get the variables map.
`void` | `reset()` Clear this Context.
`void` | `setVars(Map vars)` Set the variables map.

Methods inherited from class org.apache.commons.scxml.env.SimpleContext
`get, getLog, getParent, has, set, setLocal, setLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JexlContext

    public JexlContext()

  Constructor.

### JexlContext

    public JexlContext(Map initialVars)

  Constructor with initial vars.

Parameters:
  `initialVars` - The initial set of variables.

### JexlContext

    public JexlContext(Context parent)

  Constructor with parent context.

Parameters:
  `parent` - The parent context.

Method Detail

### setVars

    public void setVars(Map vars)

  Set the variables map.

  Specified by:
    `setVars` in interface `org.apache.commons.jexl.JexlContext`
  Overrides:
    `setVars` in class `SimpleContext`
  Parameters:
    `vars` - The new variables map.
  See Also:
    `JexlContext.setVars(Map)`, `SimpleContext.setVars(Map)`

### getVars

    public Map getVars()

  Get the variables map.

  Specified by:
    `getVars` in interface `org.apache.commons.jexl.JexlContext`
  Overrides:
    `getVars` in class `SimpleContext`
  Returns:
    Map The variables map.
  See Also:
    `JexlContext.getVars()`, `SimpleContext.getVars()`

### reset

    public void reset()

  Clear this Context.

  Specified by:
    `reset` in interface `Context`
  Overrides:
    `reset` in class `SimpleContext`
  See Also:
    `Context.reset()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.